[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#597043: linux-source-2.6.32: patch_via.c FTBFS if SND_HDA_POWER_SAVE unset (2.6.32-21 -> 22 regression)

Package: linux-source-2.6.32
Version: 2.6.32-22
Severity: normal

    If CONFIG_SND_HDA_POWER_SAVE is not set, sound/pci/hda/patch_via.c
no longer compiles in linux-source-2.6.32 version 2.6.32-22. Setting
CONFIG_SND_HDA_POWER_SAVE was not necessary in 2.6.32-21 and prior
versions. I had oldconfig'ed the .config I used for 2.6.32-21 before
attempting to build 2.6.32-22, but my unset CONFIG_SND_HDA_POWER_SAVE was
neither detected nor changed.
    Setting CONFIG_SND_HDA_POWER_SAVE works around the problem. Presumably
the cause is the Debian changes to patch_via.c for 2.6.32-22, so I'd
recommend fixing them, but at least this should be documented and caught
by an oldconfig.

-- System Information:
Debian Release: squeeze/sid
  APT prefers oldstable
  APT policy: (500, 'oldstable'), (500, 'unstable'), (500, 'testing'), (500,
'stable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-oak.22.1 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages linux-source-2.6.32 depends on:
ii  binutils                      2.20.1-12  The GNU assembler, linker and bina
ii  bzip2                         1.0.5-1    high-quality block-sorting file co

Versions of packages linux-source-2.6.32 recommends:
ii  gcc                           4:4.4.4-2  The GNU C compiler
ii  libc6-dev [libc-dev]          2.11.2-5   Embedded GNU C Library: Developmen
ii  make                          3.81-5     The GNU version of the "make" util

Versions of packages linux-source-2.6.32 suggests:
ii  kernel-package            12.036         A utility for building Linux kerne
ii  libncurses5-dev [ncurses- 5.7+20100313-2 developer's libraries and docs for
ii  libqt3-mt-dev             3:3.3.8b-5     Qt development files (Threaded)

Reply to: